<?php

if( ! class_exists('Ph_Bookings_Max_Booking_Per_Slot_Settings_Class') ) {
	class Ph_Bookings_Max_Booking_Per_Slot_Settings_Class {

		public function __construct() {
			if( isset($_POST['ph_booking_customize_maximum_booking_per_slot']) )
			{
				$this->save_settings();
			}
			$this->init();
		}

		public function init() {
			
			add_action(	'admin_menu', array( $this, 'ph_booking_admin_submenu' ), 11 );
		}

		/**
		 * Add SubMenu to Bookings Menu.
		 */
		public function ph_booking_admin_submenu() {
			add_submenu_page(
				"bookings",
				"Customise Maximum Bookings Per Slot",
				__("Customise Maximum Bookings Per Slot",'bookings-and-appointments-for-woocommerce'),
				"manage_options",
				"max-bookings-per-slot-settings", 
				array( $this, "max_bookings_per_slot_settings_page" )
			);
		}

		/**
		 * Settings Page
		 */
		public function max_bookings_per_slot_settings_page(){
			include 'ph-settings-html.php';
		}

		/**
		 * Save Settings
		 */
		public function save_settings() {
			$settings_array=array();
			// error_log("post : ".print_r($_POST ,1));
			if(!isset($_POST['range_type']))
			{
				$settings_array = array();
			}
			else
			{
				foreach ($_POST['range_type'] as $key => $type) {
					$settings=array();
					$settings['range_type'] = $type;
					$settings['product_id'] = $_POST['product_id'][$key];
					switch ($type) {
						case 'custom':
							$settings['from_date'] = $_POST['from_date'][$key];
							$settings['to_date'] = $_POST['to_date'][$key];
							$settings['from_time'] = $_POST['from_time'][$key];
							$settings['to_time'] = $_POST['to_time'][$key];
							break;
						
						case 'months':
							$settings['from_month'] = $_POST['from_month'][$key];
							$settings['to_month'] = $_POST['to_month'][$key];
							break;
						case 'days':
						default:
							$settings['from_day'] = $_POST['from_day'][$key];
							$settings['to_day'] = $_POST['to_day'][$key];
							break;
					}
					$settings['max_booking'] = $_POST['max_booking'][$key];
					$settings_array[]= $settings;
				}
			}
			update_option( PH_MAX_BOOKINGS_SETTING_ID, $settings_array );
		}

	}
}

new Ph_Bookings_Max_Booking_Per_Slot_Settings_Class();